//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL.DBEntities
{
    using System;
    using System.Collections.Generic;
    
    public partial class vt_Products
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public vt_Products()
        {
            this.vt_Cart = new HashSet<vt_Cart>();
            this.vt_Order = new HashSet<vt_Order>();
            this.vt_ProductDetails = new HashSet<vt_ProductDetails>();
            this.vt_Subscription = new HashSet<vt_Subscription>();
        }
    
        public int ID { get; set; }
        public string MCID { get; set; }
        public string MCOfferID { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }
        public string ProductType { get; set; }
        public string CountryCode { get; set; }
        public string TargetSegment { get; set; }
        public Nullable<decimal> List_Price { get; set; }
        public Nullable<decimal> ERP_Price { get; set; }
        public Nullable<System.DateTime> Created { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public Nullable<bool> IsActive { get; set; }
        public string Image { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<vt_Cart> vt_Cart { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<vt_Order> vt_Order { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<vt_ProductDetails> vt_ProductDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<vt_Subscription> vt_Subscription { get; set; }
    }
}
